﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolokvijum
{
    class Student:IComparable<Student>,IEquatable<Student>
    {
        protected int index;
        public int Index { get { return index;} }
        protected int godinaUpisa;
        public int GodinaUpisa { get { return godinaUpisa; } }
        protected string imeIPrezime;

        public string ImeIPrezime { get { return imeIPrezime; } }
        protected DateTime datumRodjenja;
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        protected double brojPoena;

        public double BrojPoena { get { return brojPoena; } set { brojPoena = value; } }
        public Student(int index, int godina, string ime, DateTime datum)
        {
            this.index = index;
            this.godinaUpisa = godina;
            this.imeIPrezime = ime;
            this.datumRodjenja = datum;
        }

        public Student()
        {
            
        }

        public bool Equals(Student other)
        {
            if (this.Equals(other))
                return true;
            return false;
        }

        public int CompareTo(Student other)
        {
            if (this.brojPoena == other.brojPoena)
                return 0;
            else if (this.brojPoena > other.brojPoena)
                return 1;
            else
            return -1;
        }

        public override string ToString()
        {
            return imeIPrezime + ": " + datumRodjenja + ", " + index + "/" + godinaUpisa + ", " + brojPoena;
        }
    }
}
