﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace prviPopravni
{
    public class GreskaAranzmana:Exception
    {
        protected Karta karta;
        public GreskaAranzmana(Karta k, string poruka)
            :base(poruka)
        {
            this.karta = k;
        }

        public override string Message
        {
            get
            {
                if(karta is AvionskaKarta)
                    return "Avionska karta - "+base.Message;
                else if (karta is VoznaKarta)
                    return "Vozna karta - " + base.Message;
                else 
                    return "Autobuska karta - " + base.Message;
            }
        }
    }
}
