﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace prviPopravni
{
    class Program
    {
        static void Main(string[] args)
        {
            Putovanje p = new Putovanje("Kragujevac", "Prag");
            List<Aranzman> aranzmani = new List<Aranzman>();
            Aranzman a1 = new Aranzman("Kragujevac", "Budimpesta", 3, 20, false);
            List<Karta> karte1 = new List<Karta>();
            karte1.Add(new AutobuskaKarta("AUTOBUS_101", "Kragujevac", "Beograd", 150, 0.2));
            karte1.Add(new AvionskaKarta("AVION_102", "Beograd", "Budimpesta", 320, 1, true, true));
            Aranzman a2 = new Aranzman("Budimpesta", "Prag", 5, 20, true);
            List<Karta> karte2 = new List<Karta>();
            karte2.Add(new AvionskaKarta("AVION_201", "Budimpesta", "Prag", 442, 0.05, false, true));
            Aranzman a3 = new Aranzman("Prag", "Kragujevac", 0, 0, true);
            List<Karta> karte3 = new List<Karta>();
            karte3.Add(new AvionskaKarta("AVION_301", "Prag", "Budimpesta", 442, 0.1, false, true));
            karte3.Add(new VoznaKarta("Voz_301", "Budimpesta", "Kragujevac", 470, 0.15));

            try
            {
                a1.DodajKartu(karte1);
                a2.DodajKartu(karte2);
                a3.DodajKartu(karte3);
                aranzmani.Add(a1);
                aranzmani.Add(a2);
                aranzmani.Add(a3);
                p.dodajAranzman(aranzmani);
                Console.WriteLine(p.ToString());
                Console.WriteLine("Cena putovanja bez popusta iznosi: "+p.CenaPutovanja);
                Console.WriteLine("Popust putovanja iznosi: " + p.Popust);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.ReadKey();
        }
    }
}
