﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public class Putovanje: IPopust
    {
        private string pocetnaDestinacija;
        private string krajnjaDestinacija;
        protected List<Aranzman> aranzmani;


        public Putovanje(string poc, string kraj)
        {
            this.krajnjaDestinacija = kraj;
            this.pocetnaDestinacija = poc;
        }
        public double  Popust
        {
            get
            {
                return 0;
            }
            set
            {
                double suma = 0.0;
                foreach (Aranzman item in aranzmani)
                {
                    suma += item.Popust;
                }
            }
        }

        public void dodajaranzmane(List<Aranzman> ar)
        {
            if (ar.Count != 0)
            {
                Aranzman a1 = ar.First();
                if (a1 != null && a1.Pocetnadestinacija == this.pocetnaDestinacija)
                {
                    Aranzman a2 = ar.Last();
                    if (a2 != null && a2.KrajnjaDestinacija == this.krajnjaDestinacija)
                    {
                        aranzmani = ar;
                    }
                    // else throw new GreskaPutovanja(this,"poslednji");
                }
            }
            //else throw new GreskaPutovanja(this,"Greska prvi");
        }

        public double CenaPutovanja {  set
        {
            double suma=0;
            foreach (Aranzman item in aranzmani)
	        {
		            suma+=item.CenaAranzmana;
	        }
                }}


        public override string  ToString()
        {
            string za="";
            if (aranzmani.Count != 0)
            {
                foreach (Aranzman item in aranzmani)
                {
                    za += item.ToString();
                }
            }
 	         return "putovanje: " + this.pocetnaDestinacija+"->"+this.krajnjaDestinacija+za;
        }
}
}

 