﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LanaMiljkovic6612
{
    class Student :IComparable<Student>,IEquatable<Student>
    {
        private int indeks;

        public int Indeks
        {
            get { return indeks; }
           // set { indeks = value; }
        }
        private int godinaUpisa;

        public int GodinaUpisa
        {
            get { return godinaUpisa; }
            //set { godinaUpisa = value; }
        }

        private string imeiPrezime;

        public string ImeiPrezime
        {
            get { return imeiPrezime; }
            //set { imeiPrezime = value; }
        }
        private DateTime datumrodjenja;

        public DateTime Datumrodjenja
        {
            get { return datumrodjenja; }
           // set { datumrodjenja = value; }
        }
       
        private double brojPoena;

        public double BrojPoena
        {
            get { return brojPoena; }
            set { brojPoena = value; }
        }
        public Student(int index, int godina, string ime, DateTime datum,double broj)
        {
            this.indeks = index;
            this.godinaUpisa = godina;
            this.imeiPrezime = ime;
            this.datumrodjenja = datum;
            this.BrojPoena = broj;
        }

        public  string toString()
        {
            return ImeiPrezime + ", " + Datumrodjenja.Day+"." + Datumrodjenja.Month+"."+Datumrodjenja.Year+"," + Indeks + "/" + GodinaUpisa + ",broj poena:" + BrojPoena;
        }

        public int CompareTo(Student other)
        {
            if (this.brojPoena > other.brojPoena) return 1;
            else
                if (this.BrojPoena < other.brojPoena) return -1;
                else
                    return 0;
        }
        public bool Equals(Student other)
        {
            return this.brojPoena == other.brojPoena;

        }

    }
}
