﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKol
{
    public class GreskaAranzmana : Exception
    {
        protected Karta karta;
        
        public GreskaAranzmana(Karta k, string s)
            :base(s)
        {
            karta = k;
            
        }
        public override string ToString()
        {
            string tip;
            if (karta is AutobuskaKarta)
                tip = "autobuska";
            else if (karta is VoznaKarta)
                tip = "vozna";
            else
                tip = "avionska";

            return tip + "-"+ base.Message;
        }
    }
}
