﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace II_popravni
{
    public class Student : IComparable<Student>, IEquatable<Student>
    {

        private int indeks;

        public int Indeks
        {
            get { return indeks; }
            set { indeks = value; }
        }

        private int godinaUpisa;

        public int GodinaUpisa
        {
            get { return godinaUpisa; }
            set { godinaUpisa = value; }
        }

        string imeIPrezime;

        public string ImeIPrezime
        {
            get { return imeIPrezime; }
            set { imeIPrezime = value; }
        }

        DateTime datumRodjenja;

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            set { datumRodjenja = value; }
        }

        double brojPoena;

        public double BrojPoena
        {
            get { return brojPoena; }
            set { brojPoena = value; }
        }

        public Student(int ind,int god,string imeip,DateTime datum,double poeni)
        {
            this.indeks = ind;
            this.godinaUpisa = god;
            this.imeIPrezime = imeip;
            this.datumRodjenja = datum;
            this.brojPoena = poeni;
        }

        public override string ToString()
        {
            return this.ImeIPrezime + ": " + this.DatumRodjenja + ", " + this.Indeks + "/" + this.GodinaUpisa + ", " + this.BrojPoena; 
        }

            public int  CompareTo(Student other)
            {
                if (this.BrojPoena > other.BrojPoena)
                {
                    return 1;
                }
                else
                {
                    return -1;
                }
            }

            public bool Equals(Student other)
            {
                if (this.BrojPoena == other.BrojPoena)
                {
                    return true;
                }
                return false;
            }







            
           
    }
}
