﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Drugi
{
    
    
    public class BinarnoStablo<T>:IEnumerable<T> where T:IComparable<T>
    {
        public List<Cvor<T>> lista;
         public event Selektuj<T> dog;
        private Cvor<T> glava;
        Cvor<T> pom;
        public void dodajVrednost(T element)
        {
            if (glava == null) glava.Vrednost = element; 
            else
            {
                pom = glava;
                while (pom!=null)
                {
                    //if (pom.Vrednost > element)
                   //     pom = pom.leviCvor;
                  //  else pom = pom.desniCvor;
                }
                pom = new Cvor<T>(element);
               

            }
        }

        


       /* public IEnumerator<T> VratiEnumeratorPremaSelekciji(Selektuj<T> s, T element)
        {
            foreach (T item in s)
            yield return item; 
        } */

        public Cvor<T> this[int n]
        {
            get {
                lista = new List<Cvor<T>>();
                Cvor<T> potrebanCvor=null;
                 NadjiNtiCvor(lista,glava);
                 int brojac = 0;
                 if (lista.Count >=n)  {
                     foreach (Cvor<T> item in lista)
                     {
                         if (brojac == n) { potrebanCvor = item; break; }
                         
                     }
                 }
                 return potrebanCvor;

            }
          
        }

        private void NadjiNtiCvor(List<Cvor<T>> lista, Cvor<T> pom)
        {
            
            
            while (pom != null)
            {
                if (pom.leviCvor != null) NadjiNtiCvor(lista,pom.leviCvor);
                lista.Add(pom);
                if (pom.desniCvor != null) NadjiNtiCvor(lista,pom.desniCvor);
            }
            
        }

        public IEnumerator<T> GetEnumerator()
        {
            foreach (T item in this)
                yield return item;
        } 

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            throw new NotImplementedException();
        }
    }
}
