﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Drugi
{
    public class Student:IComparable<Student> 
    {
        private int indeks;

        protected int Indeks
        {
            get { return indeks; }
            set { indeks = value; }
        }

        private int godinaUpisa;

        private string imeIPrezime;

        private DateTime datumRodjenja;

        protected DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            
        }

        protected string ImeIPrezime
        {
            get { return imeIPrezime; }
            
        }

        protected int GodinaUpisa
        {
            get { return godinaUpisa; }
        }

        private double BrojPoena;

        public double BrojPoena1
        {
            get { return BrojPoena; }
            set { this.BrojPoena = value; }
        }

        public Student(int ind, int gu, string ip, DateTime dr)
        {
            this.Indeks = ind; this.godinaUpisa = gu; this.imeIPrezime = ip; this.datumRodjenja = dr;
        }

        public override string ToString()
        {
            return ImeIPrezime + ": " + DatumRodjenja.Day.ToString() + "." + DatumRodjenja.Month.ToString() + "." + DatumRodjenja.Year.ToString() + ", " + 
                Indeks.ToString() + "/" + GodinaUpisa.ToString() + ", " + BrojPoena1.ToString();
        }

        public int CompareTo(Student other)
        {
            if (BrojPoena1 > other.BrojPoena1) return 1;
            else if (BrojPoena1 == other.BrojPoena1) return 0;
             return -1;

        }
    }
}
