﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prvi
{
    class GreskaAranzmana : Exception
    {
        protected Karta karta;

        public GreskaAranzmana(Karta karta, string msg)
            :base(msg)
        {
            this.karta = karta;
        }

        public override string ToString()
        {
            string tip="";
            if(this.karta is AvionskaKarta)
            {
                tip = "avionska karta";
            }
            if (this.karta is VoznaKarta)
            {
                tip = "vozna karta";
            }
            if (this.karta is AutobuskaKarta)
            {
                tip = "autobuska karta";
            }

            return tip + " - " + this.Message;
        }
    }
}
