﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolokvijum
{
    public delegate bool Selektuj<T>(T item);

    public class Cvor<T> : IComparable<T>
    {
        private T vrednost;

        public T Vrednost
        {
            get { return vrednost; }
        }

        public Cvor<T> levoDete;
        public Cvor<T> desnoDete;

        public Cvor(T item)
        {
            this.vrednost = item;
        }

        public int CompareTo(T other)
        {
            if (this.vrednost < other)
                return 1;
            else if (this.vrednost == other)
                return 0;
            return -1;
        }
    }
}
