﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace I
{
    public class GreskaAranzmana : Exception
    {
        protected Karta karta;
        public GreskaAranzmana(Karta karta, string poruka)
            : base(poruka)
        {
            this.karta = karta;
        }

        public override string ToString()
        {
            if (karta is AvionskaKarta) return "Avionska karta-" + base.Message;
            if (karta is AutobuskaKarta) return "Autobuska karta-" + base.Message;
            if (karta is VoznaKarta) return "Vozna karta-" + base.Message;
            return "";
        }
    }
}
