﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public class BinarnoStablo<T> where T:IComparable<T>
    {
        Cvor<T> glava;

        public void dodajVrednost(T vrednost)
        {
            if (glava == null)
            {
                glava = new Cvor<T>(vrednost);
            }
            else
            {
                Cvor<T> cvor = new Cvor<T>(vrednost);
                dodajCvor(cvor);

            }
            
        }

        void dodajCvor(Cvor<T> cvor)
        {
            BinarnoStablo<T> trenutni = this;

            if (trenutni!=null && trenutni.glava.Vrednost.CompareTo(cvor.Vrednost)==1)
            {
                if (trenutni.glava.LevoDete == null)
                {
                    trenutni.glava.LevoDete = cvor;
                }
                else
                {
                   dodajCvor(trenutni.glava.LevoDete);
                }
            }
            else if (trenutni != null && trenutni.glava.Vrednost.CompareTo(cvor.Vrednost) == -1)
            {
                if (trenutni.glava.DesnoDete == null)
                {
                    trenutni.glava.DesnoDete = cvor;
                }
                else
                {
                    dodajCvor(trenutni.glava.DesnoDete);
                }
            }

            else dodajCvor(trenutni.glava.LevoDete);

         }

        /*public IEnumerable<T>  VratiEnumeratorPremaSelekciji(Selektuj<T> fja,T vrednost)
        {
            foreach (T item in )
            {
                if(fja(item))  yield return item;
            }
        }*/


        private List<T> NapraviListuOdStabla(Cvor<T> cvor)
        {
            List<T> praviListu = new List<T>();

            BinarnoStablo<T> trenutni = this;

            if (trenutni != null)
            {
                
                NapraviListuOdStabla(trenutni.glava.LevoDete);
                praviListu.Add(trenutni.glava.Vrednost);
                NapraviListuOdStabla(trenutni.glava.DesnoDete);
                
            }

            return praviListu;
            

        }

        /*public T this[int n]
        {
            get 
            {
                List<T> l=new List<T>();
                l = NapraviListuOdStabla(glava);
                for (int i=0;i<l.Length;i++)
                {
                   if(n==i) return l[i];
                }
            }
        }*/



       





        
    }
}
