﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DrugiKolokvijum
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        BinarnoStablo<Student> stabloStudentata;
        List<Student> studentii = new List<Student>();
        List<Student> listaStud = new List<Student>();
        public MainWindow()
        {
            InitializeComponent();
            stabloStudentata = new BinarnoStablo<Student>();
            
        }

        private void btnDodaj_Click(object sender, RoutedEventArgs e)
        {
            string imeIPrezime = txtImeIPrezime.Text;
            int indeks = int.Parse(txtIndeks.Text);
            int godinaUpisa = int.Parse(txtGodinaUpisa.Text);
            string dat = datumrodj.Text;
            string[] vrednosti = dat.Split('/');
            int dan = int.Parse(vrednosti[1]);
            int mesec = int.Parse(vrednosti[0]);
            int godina = int.Parse(vrednosti[2]) ;

            DateTime datum = new DateTime(godina, mesec, dan);
            int brojPoena = int.Parse(txtPoeni.Text);

            Student s = new Student(indeks, godina, imeIPrezime, datum, brojPoena);
      

            studentii.Add(s);
            stabloStudentata.dodajVrednost(s);

            listVP.Items.Add(s.ImeIPrezime + ", " + s.DatumRodjenja + ", " + s.Indeks + "/" + s.GodinaUpisa + ", " + s.BrojPoena);
           // Prikazi();
        }

        private void Prikazi()
        {
            listaStud.Clear();
            listaStud = stabloStudentata.studenti;
        } 
    }
}
