﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public class Student:IComparable<Student>,IEquatable<Student>
    {
        int indeks;       
        int godinaUpisa;
        string imeIPrezime;
        DateTime datumRodjenja;
        double brojPoena;

        public int Indeks { get { return indeks; } }
        public int GodinaUpisa { get { return godinaUpisa; } }
        public string ImeIPrezime { get { return imeIPrezime; } }
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public double BrojPoena { get { return brojPoena; } set { brojPoena = value; } }

        public Student(int ind,int godinaupisa,string imepreyime,DateTime datumrodj)
        {
            this.indeks = ind;
            this.godinaUpisa = godinaupisa;
            this.imeIPrezime = imepreyime;
            this.datumRodjenja = datumrodj;

        }

        public override string ToString()
        {
            return ImeIPrezime + ":" + DatumRodjenja + "," + Indeks + "/" + GodinaUpisa + "," + BrojPoena;
        }



        public bool Equals(Student other)
        {
            if (this.Indeks == other.Indeks && this.GodinaUpisa == other.GodinaUpisa) return true;
            else return false;
        }

        public int CompareTo(Student other)
        {
            if (this.BrojPoena == other.BrojPoena) return 0;
            if (this.BrojPoena > other.BrojPoena) return -1;
            else return 1;
        }
    }
}
