﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    public class AvionskaKarta : Karta, IPopust
    {
        private bool prtljag;
        private bool lastMinute;

        public AvionskaKarta(string id, string pocetna, string krajnja, double razdaljina, double cena, bool lm, bool prtljag)
            : base(id, pocetna, krajnja, razdaljina, cena)
        {
            this.prtljag = prtljag;
            this.lastMinute = lm;
        }


        public override double DajCenuKarte()
        {
            if (prtljag == true)
                return (base.razdaljinaUKilometrima * base.cenaKartePoKilometru + 100.0);
            else
                return base.razdaljinaUKilometrima * base.cenaKartePoKilometru;

        }

        public double Popust
        {
            get 
            {
                if (lastMinute == true)
                    return DajCenuKarte() * 0.5;
                else
                    return 0.0;
            }
        }
    }
}
