﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace drugi
{
   public  class Student : IComparable,IEquatable<Student>
    {

       private int indeks;
       public int Indeks { get {return this.indeks;}}
       private int goidnaUpisa;
       public int godinaUpisa { get { return this.indeks; }}
       private string imePrezime;
       public string ImePREzime { get { return this.imePrezime; } }
       private DateTime datumRdojenja;
       public DateTime DatumRodjenja { get { return this.datumRdojenja; } }
       private int brojPoena;
       public int BrojPoena { get { return this.brojPoena;}}


       public Student(int indeks, int godinaUpisa, string imePrezime, DateTime datum)
       {
           this.indeks = indeks;
           this.goidnaUpisa = godinaUpisa;
           this.imePrezime = imePrezime;
           this.datumRdojenja = datum;
       
       }

       public override string ToString()
       {
           return " " + this.imePrezime + ":" + datumRdojenja + ", " + this.indeks + "/" + this.goidnaUpisa + ", " + this.brojPoena;
       }

        public int CompareTo(object obj)
        {
            //throw new NotImplementedException();
            Student s = obj as Student;

            if (this.brojPoena > s.brojPoena)
                return 0;
            if (this.brojPoena < s.brojPoena)
                return 1;
            return -1;

        }

       
    
    public bool  Equals(Student other)
    {
        if (this.ImePREzime == other.ImePREzime && this.goidnaUpisa == other.goidnaUpisa && this.datumRdojenja == other.datumRdojenja)
            return true;
        return false;
    }
}
}
