﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKolokvijum
{
    public class BinarnoStablo<T> where T:IComparable<T>
    {
           Cvor<T> glava;

           public void dodajVrednost(T vrednost) 
           {
               //Cvor<T> glava = new Cvor<T>(vrednost);
               Cvor<T> pom = glava;
               Cvor<T> novi = new Cvor<T>(vrednost);
               dodajCvor(pom, novi);
           }

           public void dodajCvor(Cvor<T> pomm, Cvor<T> novi)
           {
               Cvor<T> pom = pomm;

               if (pom.LevoDete == null || pom.DesnoDete == null)
               {
                   pom = new Cvor<T>(novi.Vrednost); 
               }
               else 
               {
                   if(pom.Vrednost.CompareTo(novi.Vrednost) == 1){
                       dodajCvor(pom.LevoDete, novi);
                   }
                   else if(pom.Vrednost.CompareTo(novi.Vrednost) == 0) {
                        return;
                   }
                   if (pom.LevoDete.Vrednost.CompareTo(novi.Vrednost) == -1)
                   {
                         dodajCvor(pom.DesnoDete,novi);
                   }     
                  }
               }
       
        /*public IEnumerable<Cvor<T>> VratiListu()
           { 
             Cvor<T> pom = glava;
            if(

                return yield null;
           }*/

           /*public IEnumerable<Cvor<T>> VratiEnumeratorPremaSelekciji(Selektuj<Cvor<T>> selektujVrednost) {
               return null;
           }

          /* public Cvor this[int index]
	       {
		    get {
                return this;
                }
	        }*/
    }
}
