﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DrugiKolokvijum
{
    public delegate bool Selektuj<T>(T data);

    public class Cvor<T>
    {
        T vrednost;
        Cvor<T> desnoDete;
        Cvor<T> levoDete;

        public T Vrednost { get {return vrednost; } }
        public Cvor<T> DesnoDete { get { return desnoDete; } set { desnoDete = value; } }
        public Cvor<T> LevoDete { get { return levoDete; } set { levoDete = value; } }

        public Cvor(T vred) {
            this.vrednost = vred;
            desnoDete = null;
            levoDete = null;
        }
    }
}
