﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace prviPopravni
{
    public class AvionskaKarta:Karta,IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

         public AvionskaKarta(string id, string poc, string kraj, double raz, double cena,bool prtljag,bool lastMinute)
            :base(id,poc,kraj,raz,cena)
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMinute;
        }

        public override double dajCenuKarte()
        {
            double cena = base.razdaljinaUKilometrima * base.cenaKartePoKilometru;
            if (prtljag)
                return cena + 100;
            else
                return cena;
        }

        public double Popust
        {
            get {
                if (lastMinute)
                    return dajCenuKarte() / 2;
                else return 0;
            }
        }
    }
}
