﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKolokvijum
{
    public class VoznaKarta : Karta, IPopust
    {

        public VoznaKarta(string id, string pocetna, string krajnja, double razdaljina, double cena)
            : base(id, pocetna, krajnja, razdaljina, cena) { }

        public override double dajCenuKarte()
        {
            return base.cenaKartePoKilometru * base.razdaljinaUKilometrima;
        }

        public double Popust
        {
            get 
            {
                if (base.razdaljinaUKilometrima > 100)
                {
                    double novaRazdaljina = base.razdaljinaUKilometrima - 100;
                    double popust = novaRazdaljina * base.cenaKartePoKilometru * 0.9;
                    return popust;
                }
                else
                    return 0.0;
            }
        }
    }
}
