﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LanaMiljkovic6612
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> binarnostablo = new BinarnoStablo<Student>();
        List<Student> listadesno = new List<Student>();
        List<Student> listalevo = new List<Student>();
        public double max=15;
        public MainWindow()
        {
          
            InitializeComponent();
            textBox1.Text = "15";
        }

        private void dodajbt_Click(object sender, RoutedEventArgs e)
        {
          

            if (imebox.Text != "" && indexbox.Text != "" && godinabox.Text != "" && brojbox.Text != ""  )
            {
                binarnostablo.dodajVrednost(new Student(int.Parse(indexbox.Text), int.Parse(godinabox.Text), imebox.Text, datumpic.DisplayDate, double.Parse(brojbox.Text)));
                osvezi();
            }
        }

     
        private void comboBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
           


            listadesno.Clear();
            if (comboBox1.SelectedIndex == 1)
            {
                foreach ( Student s in binarnostablo.VratiEnumeratoPremaSelekciji(x => x.BrojPoena > (int.Parse(textBox1.Text))/2))
                {
                    listadesno.Add(s);
                    
                }
                osvezi1();
            }

            if (comboBox1.SelectedIndex == 2)
            {
                foreach (Student s in binarnostablo.VratiEnumeratoPremaSelekciji(x => x.BrojPoena < (int.Parse(textBox1.Text)) / 2 && ( x.Datumrodjenja.Year ==1991 || x.Datumrodjenja.Year ==1992)))
                {
                  listadesno.Add(s);
                }
                osvezi1();
            }

                
        }
        private void osvezi()
        {

            listabox.Items.Clear();
            listalevo.Clear();
           
            //label7.Content = "DDASDA";
            foreach (Student student in binarnostablo.VratiEnumeratoPremaSelekciji(x => true))
            {
                //label7.Content = "DDASDA";
                if (!listalevo.Contains(student))
                {
                    //label7.Content = "DDASDA";
                    listabox.Items.Add(student.toString());
                    listalevo.Add(student);
                    if (max < student.BrojPoena)
                    {max = student.BrojPoena;
                    //textBox1.Text = max + "";
            }

                }

            }

            textBox1.Text = max + "";


        }


        private void osvezi1()
        {
            listadesno.Reverse();
            listaboxdesno.Items.Clear();
            foreach (Student s in listadesno)
            {
                
                listaboxdesno.Items.Add(s.toString());
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (textBox2.Text != "")
            {
                int i = 0;
                foreach (Student s in listadesno)
                {
                    if (i == int.Parse(textBox2.Text))
                    {
                        label7.Content = s.toString();
                        return;
                    }
                }
            }
        }

        private void textBox2_PreviewStylusInAirMove(object sender, StylusEventArgs e)
        {

        }

     


    }
}
