﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PrviKol
{
    public class AvionskaKarta : Karta,IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

        public AvionskaKarta(string id, string pocetnaDest, string krajnjaDest, double razdaljina, double cenaPoKM,bool prtaljag, bool lastMin)
            : base(id, pocetnaDest, krajnjaDest, razdaljina, cenaPoKM)
        {
            this.prtljag = prtaljag;

            this.lastMinute = lastMin;
        }

        public override double dajCenuKarte()
        {
            double cena = razdaljinaUKilometrima * cenaKartePoKilometru;
            if (prtljag)
                cena += 100;
            return cena;
        }

        public double Popust
        {
            get 
            { 
                double cena = dajCenuKarte();
                if (lastMinute)
                    return cena * 0.5;
                else
                    return 0;
            }
        }
    }
}
