﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Drugi
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> bs;
        List<Student> ls;
        public MainWindow()
        {
            InitializeComponent();
            DPDatumRodj.SelectedDate = DateTime.Now;
            TBIme.Text = "NemanjaStanojevic";
            TBIndex.Text = "84";
            TBGodUpisa.Text = "2009";
            TBBrojPoena.Text = "51";

            bs = new BinarnoStablo<Student>();
            ls = new List<Student>();

        }

        private bool postoji(Student s)
        {
            foreach (var item in ls)
            {
                if (item.ImeIPrezime == s.ImeIPrezime &&
                    item.Indeks == s.Indeks &&
                    item.GodinaUpisa == s.GodinaUpisa &&
                    item.DatumRodjenja == s.DatumRodjenja &&
                    item.BrojPoena == s.BrojPoena)
                {
                    return true;
                }
            }

            return false;
        }

        private void BDodaj_Click(object sender, RoutedEventArgs e)
        {
            string ime = TBIme.Text;
            int indeks = int.Parse(TBIndex.Text);
            int godUpisa = int.Parse(TBGodUpisa.Text);
            int mesec = int.Parse(DPDatumRodj.Text.Split('/')[0]);
            int dan = int.Parse(DPDatumRodj.Text.Split('/')[1]);
            int godina = int.Parse(DPDatumRodj.Text.Split('/')[2]);
            DateTime godRodj = new DateTime(godina,mesec,dan);
            Student s = new Student(indeks, godUpisa, ime, godRodj);
            s.BrojPoena = int.Parse(TBBrojPoena.Text);

            bs.dodajVrednost(s);

            if (!postoji(s))
            {
                ls.Add(s);
                ListBoxItem nlb = new ListBoxItem();
                nlb.Content = s.ToString();
                LBvizuelno.Items.Add(nlb);
            }
        }

        private void Bprikazi_Click(object sender, RoutedEventArgs e)
        {

        }

       
    }
}
