﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prvi
{
    class Program
    {
        static void Main(string[] args)
        {

            Putovanje p = new Putovanje("Kragujevac", "Prag");
            List<Aranzman> aranzmani = new List<Aranzman>();
            Aranzman a1 = new Aranzman("Kragujevac", "Budimpesta", 3, 20, false);
            List<Karta> karte1 = new List<Karta>();
            karte1.Add(new AutobuskaKarta("AUTOBUS_101", "Kragujevac", "Beograd", 150, 0.2));
            karte1.Add(new AvionskaKarta("AVION_102", "Beograd", "Budimpesta", 320, 1, true, true));
            Aranzman a2 = new Aranzman("Budimpesta", "Prag", 5, 20, true);
            List<Karta> karte2 = new List<Karta>();
            karte2.Add(new AvionskaKarta("AVION_201", "Budimpesta", "Prag", 442, 0.05, false, true));
            Aranzman a3 = new Aranzman("Prag", "Kragujevac", 0, 0, true);
            List<Karta> karte3 = new List<Karta>();
            karte3.Add(new AvionskaKarta("AVION_301", "Prag", "Budimpesta", 442, 0.1, false, true));
            karte3.Add(new VoznaKarta("Voz_301", "Budimpesta", "Kragujevac", 470, 0.15));

            try
            {
                a1.dodajKarte(karte1);
                a2.dodajKarte(karte2);
                a3.dodajKarte(karte3);   //povratak nije ukljucen u putovanje po zadatku :)
                                         //onda bi trebalo da zadatak za putovanje da glasi ako je pocetna destinacija putovanja jednaka pocetnoj aranzmana
                                         //i ako je takodje pocetna destinacija jednaka krajnjoj destinaciji poslednjeg aranzmana
            }
            catch (GreskaAranzmana e)
            {
                Console.WriteLine(e.ToString());
            }
            

            List<Aranzman> la = new List<Aranzman>();

            la.Add(a1);
            la.Add(a2);
            la.Add(a3);                 //takodje povratak

            try
            {
                p.dodajAranzmane(la);

                Console.WriteLine("Ukupna cena putovanja = " + p.CenaPutovanja);

                Console.WriteLine("Ukupan popust = " + p.Popust);

                Console.WriteLine("Cena putovanja sa poustom = " + (p.CenaPutovanja - p.Popust));
            }
            catch (GreskaPutovanja e)
            {
                Console.WriteLine(e.ToString());
            }

            Console.ReadKey();
        }
    }
}
