﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class AvionskaKarta : Karta, IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

        public AvionskaKarta(string id, string pocetnaDestinacija, string krajnjaDestinacija, double razdaljinaUKilometrima, double cenaKartePoKilometru, bool prtljag, bool lastMinute)
            : base(id, pocetnaDestinacija, krajnjaDestinacija, razdaljinaUKilometrima, cenaKartePoKilometru)
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMinute;
        }
       
        public double Popust
        {
            get
            {
                if (lastMinute == true)
                    return dajCenu() * 0.5;
                else    
                    return dajCenu();
            }
        }

        public override double dajCenu()
        {
            if (prtljag == true)
                return cenaKartePoKilometru * razdaljinaUKilometrima + 100.0;
            else
                return cenaKartePoKilometru * razdaljinaUKilometrima;
        }
    }
}
