﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace I
{
    public class AvionskaKarta : Karta, IPopust
    {
        protected bool prtljag;
        protected bool lastMinute;

        public AvionskaKarta(string id, string pocetnaDestinacija, string krajnjaDestinacija, double razdaljinaUKilometrima, double cenaPoKilometru, bool prtljag, bool lastMinute)
            : base(id, pocetnaDestinacija, krajnjaDestinacija, razdaljinaUKilometrima, cenaPoKilometru)
        {
            this.prtljag = prtljag;
            this.lastMinute = lastMinute;

        }

        public double Vrednost
        {
            get 
            {
                if (lastMinute == true) return cenaKartePoKilometru * razdaljinaUKilometrima * 0.5;
                else return 0;
            }
        }

        public override double dajCenuKarte()
        {
            if (prtljag == true)
             
               return cenaKartePoKilometru * razdaljinaUKilometrima + 100;
            else
               return cenaKartePoKilometru * razdaljinaUKilometrima;
        }
    }
}
