﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IPopravni
{
    public class VoznaKarta:Karta,IPopust
    {

        public VoznaKarta(string id,string pocetak,string kraj,double razdaljina,double cena) 
            : base(id, pocetak, kraj, razdaljina, cena) { }

        

        public override double dajCenuKarte()
        {
            return base.razdaljinaUKilometrima * base.cenaKartePoKilometru;
        }

        public double Popust
        {
            get
            {
                return this.Popust;
            }
            set
            {
                double pom=0;
                if(razdaljinaUKilometrima>100)
                    pom = razdaljinaUKilometrima - 100;
                if (pom != 0)
                    this.Popust = cenaKartePoKilometru * (pom * 0.1)/100;
                else
                    this.Popust = cenaKartePoKilometru;
            }
        }
    }
}
