﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace IIpopravni
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        BinarnoStablo<Student> stablo= new BinarnoStablo<Student>();

        public MainWindow()
        {
            InitializeComponent();
         //   studenti = null;
            comboBox1.Items.Add("Svi studenti koji imaju makar pola poena u odnosu na maksimalan broj poena u rastucem poretku");
            comboBox1.Items.Add("Svi studenti koji imaju makar pola poena u odnosu na maksimalan broj poena i rodjeni su u 1991 ili 1992 godine u nerastucem poretku");
            comboBox1.SelectedIndex = 0;
        }
      
        private void btnDodaj_Click(object sender, RoutedEventArgs e)
        {
            if (txtBrojPoena.Text == "" && txtGodina.Text == "" && txtIme.Text == "" && datePicker.SelectedDate == null)
            {
                MessageBox.Show("los unos");
            }
            else
            {


                Student s = new Student(int.Parse(txtIndeks.Text), int.Parse(txtGodina.Text), txtIme.Text, datePicker.SelectedDate.Value);


                Cvor<Student> cvor = new Cvor<Student>(null, null, s);

                stablo.dodajVrednost(cvor);


                puniListu();
                nadjiMax();
            }
            

        }

        private void nadjiMax()
        {
          //  txtMaxBrojPoena.Text = stablo[0].Vrednost.BrojPoena.ToString();
        }

        private void puniListu()
        {
            lbPuni.Items.Clear();
            foreach (Student item in stablo.VratiEnumeratorPremaSelekciji(x=>x.Equals(x)))
            {
                lbPuni.Items.Add(item);
            }
           // lbPuni.Items.Add(stablo.lista);
        }

    }
}
