﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 

    public delegate bool Selektuj<T>(T tip);

    public partial class MainWindow : Window
    {
        BinarnoStablo<Student> studenti;

        List<Student> lista;

        public MainWindow()
        {
            InitializeComponent();
            lista = new List<Student>();
        }


        private void OsveziListBox(ListBox lb,List<Student> kolekcija)
        {
            lb.Items.Clear();
            foreach (Student s in kolekcija)
            {
                lb.Items.Add(s.toString());
            }
        }


        /*private bool DaLiPostoji(Student s)
        {
            foreach (Student st in lista)
            {
                
            }
        }*/


        private void btnDodaj_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                string imePrezime = txtImePrezime.Text;
                int indeks = int.Parse(txtIndeks.Text);
                int godinaUpisa = int.Parse(txtGodinaUpisa.Text);
                string datum = dpDatumRodjenja.Text;
                string[] d = datum.Split('/'); //mesec dan godina
                DateTime datumRodjenja = new DateTime(int.Parse(d[2]), int.Parse(d[0]), int.Parse(d[1]));
                double brojPoena = double.Parse(txtBrojPoena.Text);

                Student s = new Student(indeks,godinaUpisa,imePrezime,datumRodjenja,brojPoena);

                
                int provera = 0;
                foreach (Student st in lista)
                {
                    if (s.Equals(st))
                    {
                        provera = 1;
                    }
                }
                if (provera == 0)
                {
                    lista.Add(s);
                    studenti.dodajVrednost(s);
                }


                OsveziListBox(lstDodatiStudenti,lista);

                txtBrojPoena.Text = "";
                txtGodinaUpisa.Text = "";
                txtImePrezime.Text = "";
                txtIndeks.Text = "";
                txtPoeni.Text = "";
                dpDatumRodjenja.Text = "";
            }
            catch (Exception)
            {
                MessageBox.Show("Proverite da li ste uneli ispravne podatke!");
                //throw new Exception(ex.Message);
                
            }
        }

       
    }
}
