﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DrugiKolokvijum
{

    public delegate bool DelegatSelekcije<T>(T uslov, T vrednost);

    public class BinarnoStablo<T> : IComparable<T>
    {

        private Cvor<T> glava;

        public List<T> studenti = new List<T>();

        public void dodajVrednost(T vrednost)
        {
            if (this.glava == null)
            {
                glava = new Cvor<T>(vrednost);
            }
            else
            {
                Cvor<T> pom = glava;
                Cvor<T> preth = glava;
                while (glava != null)
                {
                    if (this.CompareTo(vrednost) == 1)
                    {
                        preth = glava;
                        glava = glava.levo;
                    }
                    else
                    {
                        preth = glava;
                        glava = glava.desno;
                    }
                }

             
                glava = new Cvor<T>(vrednost);

                if (this.CompareTo(preth.Vrednost) == 0)
                {
                    preth.desno = glava;
                }
                else
                {
                    preth.levo = glava;
                }
                   
                glava = pom;
            }
        }


        public void PravljenjeListe(Cvor<T> pom)
        {
          
            while (pom!= null)
            {
               
                studenti.Add(pom.Vrednost);
                pom = pom.levo;
                PravljenjeListe(pom);
                pom = pom.desno; 
            }

         
        }

       /* IEnumerable<T> VratiEnumeratorPremaSelekciji(DelegatSelekcije<T> uslov, DelegatSelekcije<T> vrednost)
        {
            Cvor<T> pom = glava;

            yield return pom.Vrednost;
        }
        */
        /*
        public Cvor<T> this[int n]
        {
            get
            {
                return...
            }
        }
        */
        public int CompareTo(T other)
        {
            if (this.glava.Vrednost.Equals(other))
            {
                return 1;
            }
            else return 0;
        }
    }
}
